Submission by user CBDoctor

‟LTCFoundation: PSA: If you're running Electrum-LTC there's a critical update available. - Please update to 4.2.2.1 - A major vulnerability has been patched. - Only update from electrum-ltc.org.„
Permalink: https://reddit.com/r/litecoin/comments/v8q1w4/ltcfoundation_psa_if_youre_running_electrumltc/

Upvotes/Comments/Ranking Chart

Upvotes vs Downvotes (Estimation)

Awards received